
<%= form_with url: roles_path, method: :get, local: true do |form| %>
  <p>
    <%= hidden_field_tag 'by_user_role', 'by_user' %>
    <label>LISTE DES UTILISATEURS&nbsp;&nbsp;&nbsp;&nbsp;</label>
    <%= select_tag('attrib_user', options_for_select(@users.collect {|elt| [ elt.username, elt.id ]}, @attrib_user.id), {:style => "min-width:150px"}) %>
  </p>
  <%= form.submit '', id: 'change-user', style: "display: none" %>
<% end %>
<br>

<div class="row">
  <div class="col-md-6 admin-col">
    <%= form_with url: roles_path, method: :post, local: true do |form| %>
      <%= hidden_field_tag 'attrib_user', @attrib_user.id %>
      <div class="admin-col-title">Roles associated</div>

      <div id='labels_used' class="admin-col-content">
        <% @roles_in.each do |role| %>
          <div id='<%= role.id %>'> <!-- class='label_change_used label_used'> -->
            <span class='label_icon label_change_used label_used'><%= fa_icon('minus-square') %></span>
            <%= hidden_field_tag "roles_ids[]", role.id %>
            <%= role.name %>
          </div>
        <% end %>
      </div>
      <br>
      <%= form.submit 'Valid' %>
    <% end %>
  </div>

  <div class="col-md-6 admin-col">
    <div class="admin-col-title">Roles</div>

    <div id='labels_unused' class="admin-col-content">
      <% @roles.each do |role| %>
        <% unless @roles_in.include?(role) %>
          <div id='<%= role.id %>'>
            <span class='label_icon label_change_used label_unused'><%= fa_icon('plus-square') %></span>
            <%= hidden_field_tag "roles_ids[]", role.id %>
            <%= role.name %>
          </div>
        <% end %>
      <% end %>
    </div>
  </div>
</div>
